import dataset from "assets/dataset_small.json"

import type { PlasmoMessaging } from "@plasmohq/messaging"

interface data_small {
  brand: string
  COUNTRY: string
  environmental_total: number
  supplychain_total: number
  social_total: number
}
const data = dataset
console.log(data)

function ifExists(brandName) {
  const answer = data.find((brand) => brand.brand.toLowerCase() === brandName)
  if (answer != undefined) {
    return answer
  } else {
    return "Not found"
  }
}

const handler: PlasmoMessaging.MessageHandler = async (req, res) => {
  const queryOptions = { active: true, lastFocusedWindow: true }
  // @ts-ignore: Error thrown despite code being fine
  const [tab] = await chrome.tabs.query(queryOptions)
  //Temporary, removes https://www.zalando.co.uk/ from start of url
  const tokens = await tab.url.slice(26).split("-")
  const brand = tokens[0]
  const answer = ifExists(brand)
  res.send({
    answer
  })
}

export default handler
